%define name cyrus-sasl
%define version 1.5.21
%define release 8
%define prefix /usr

Summary: The SASL library API for the Cyrus mail system.
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: System Environment/Libraries
Source: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-1.5.21.tar.gz
URL: http://asg.web.cmu.edu/cyrus/imapd/
Buildroot:/var/tmp/%{name}-root
Provides: libsasl
Patch0: hzd-pwcheck.patch
Patch1: hzd-checkpw.patch

%description
The cyrus-sasl package contains the SASL library API implementation
for the Cyrus mail system.
This package is built with pwcheck option enabled for more secure
user authentication via pwcheck daemon.

%prep
%setup -n %{name}-%{version}
%patch0 -p0
#%patch1 -p0

%build
(cd $RPM_BUILD_DIR/cyrus-sasl-1.5.21
./configure --with-pwcheck --disable-krb4 --disable-cram --disable-digest --prefix=%{prefix}
make)

%install
rm -rf $RPM_BUILD_ROOT
(cd $RPM_BUILD_DIR/cyrus-sasl-1.5.21
	make prefix=$RPM_BUILD_ROOT%{prefix} install )

strip -s $RPM_BUILD_ROOT%{prefix}/sbin/* || :
chmod 755 $RPM_BUILD_ROOT%{prefix}/lib/sasl/*
chmod 755 $RPM_BUILD_ROOT%{prefix}/lib/libsasl.la 
chmod 755 $RPM_BUILD_ROOT%{prefix}/lib/libsasl.so.7.1.5
mkdir -p $RPM_BUILD_ROOT/var/pwcheck

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
%{prefix}/include/*.h
%{prefix}/lib/sasl/*
%{prefix}/lib/libsasl*
%dir %{prefix}/lib/sasl
%{prefix}/man/man3/*
%{prefix}/man/man8/*
%{prefix}/sbin/saslpasswd
%attr(700,root,root) %dir /var/pwcheck
%{prefix}/sbin/pwcheck

%changelog
* Wed Jul 05 2000 Vladimir Ivaschenko <vi@maks.net>
- update to 1.5.21

* Mon Jan 03 2000 Vladimir Ivaschenko <vi@maks.net>
- chmod 700 /var/pwcheck 

* Mon Dec 27 1999 Vladimir Ivaschenko <vi@maks.net>
- build without CRAM/DIGEST MD5

* Tue Dec 21 1999 Vladimir Ivaschenko <vi@maks.net>
- update to 1.5.13
- build without kerberos
- build with pwcheck - applied a small patch/bugfix for this

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Fri Aug 13 1999 Tim Powers <timp@redhat.com>
- first build for Powertools
